## org.springframework.orm.hibernate3
Class LocalCacheProviderProxy

    java.lang.Object
      org.springframework.orm.hibernate3.LocalCacheProviderProxy

All Implemented Interfaces:
  CacheProvider

Deprecated. as of Spring 3.0, following Hibernate 3.3's deprecation of the CacheProvider SPI

    @Deprecated
    public class LocalCacheProviderProxy

extends Object
implements CacheProvider

Proxy for a Hibernate CacheProvider, delegating to a Spring-managed CacheProvider instance, determined by LocalSessionFactoryBean's "cacheProvider" property.

Since:
  2.5.1
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setCacheProvider(org.hibernate.cache.CacheProvider)`

Constructor Summary
`LocalCacheProviderProxy()` Deprecated.

Method Summary
`Cache` `buildCache(String regionName, Properties properties)` Deprecated.
`boolean` `isMinimalPutsEnabledByDefault()` Deprecated.
`long` `nextTimestamp()` Deprecated.
`void` `start(Properties properties)` Deprecated.
`void` `stop()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalCacheProviderProxy

    public LocalCacheProviderProxy()

  Deprecated.

Method Detail

### buildCache

    public Cache buildCache(String regionName,
                            Properties properties)
                     throws CacheException

  Deprecated.
  Specified by:
    `buildCache` in interface `CacheProvider`
  Throws:
    `CacheException`

### nextTimestamp

    public long nextTimestamp()

  Deprecated.
  Specified by:
    `nextTimestamp` in interface `CacheProvider`

### start

    public void start(Properties properties)
               throws CacheException

  Deprecated.
  Specified by:
    `start` in interface `CacheProvider`
  Throws:
    `CacheException`

### stop

    public void stop()

  Deprecated.
  Specified by:
    `stop` in interface `CacheProvider`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Deprecated.
  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `CacheProvider`